Summary:	SMS Server Tools
Name:		smstools
Version:	2.0.7
Release:	1
License:	GPL
Group:		System Environment/Daemons
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.sysconfig
Source2:	%{name}.init
URL:		http://smstools.meinemullemaus.de/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
The SMS Server Tools were made to send and receive SMS from one or
many GSM modems. They include a send/receive daemon and some sample
scripts to build an SMS email gateway and for logging into an SQL
database.


%prep
%setup -q -n smstools


%build
%{__make}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_initrddir}/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_localstatedir}/spool/sms/{incoming,outgoing,checked,failed,sent}

install examples/smsd.conf.easy $RPM_BUILD_ROOT%{_sysconfdir}/smsd.conf
install src/smsd $RPM_BUILD_ROOT%{_sbindir}
install scripts/{sendsms,sms2html,sms2unicode,unicode2sms} \
	$RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/smsd
install %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/smsd


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add smsd


%preun
if [ $1 -eq 0 ]; then
	/sbin/service smsd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del smsd
fi


%postun
if [ $1 -ge 1 ]; then
	/sbin/service smsd condrestart > /dev/null 2>&1 || :
fi


%files
%defattr(0644,root,root,0755)
%doc LICENSE README examples scripts
%config(noreplace) %{_sysconfdir}/smsd.conf
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/smsd
%attr(0755,root,root) %{_initrddir}/smsd
%attr(0755,root,root) %{_sbindir}/*
%dir %{_localstatedir}/spool/sms
%attr(0755,root,root) %{_localstatedir}/spool/sms/incoming
%attr(0775,root,mail) %{_localstatedir}/spool/sms/outgoing
%attr(0755,root,mail) %{_localstatedir}/spool/sms/checked
%attr(0755,root,root) %{_localstatedir}/spool/sms/failed
%attr(0755,root,root) %{_localstatedir}/spool/sms/sent


%changelog
* Mon Apr 24 2006 Petr Kritof <Petr|Kristof_CZ> 2.0.7-1
- Rebuild on FC-5
- Update to 2.0.7

* Wed Jun 22 2005 Petr Kritof <Petr|Kristof_CZ> 1.14.10-1
- Update to 1.14.10
- Rebuild on FC-4

* Sun Nov 14 2004 Petr Kritof <Petr|Kristof_CZ> 1.14.6-2
- Rebuild on FC-3

* Sat Nov 13 2004 Petr Kritof <Petr|Kristof_CZ> 1.14.6-1
- Based on PLD package
- Build on FC-2
- Initial release

